Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Werner LEMBERG <[email-masked]>
Date: Wed, 03 Jun 2015 11:44:17 +0200 (CEST)

> The relevant place in the display engine where these factors are
> taken into consideration is around line 26388 in xdisp.c, [...]

I'm completely lost in this huuuge file.

> The change we look for should:
> 
>   . set the initial values for it->ascent and it->descent using some
>     heuristics based on pixel_size of the default face's font;

Where are the initial values set?

>   . update it->ascent and it->descent based on ascent/descent values
>     returned by get_per_char_metric in the per-character metrics
>     data

I think this already happens, right?  At least the line height
increases on my GNU/Linux version of Emacs if I use a font with larger
ascent/descent values...  So no additional action is needed for this,
it seems.

    Werner